This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch feature/openbox-magic-pixel-workaround-buster
in repository live-build-x2go.

commit 8ee8912422c68acbd1db34c60b1826276d752f86
Author: Stefan Baur (BAUR-ITCS) <[email protected]>
Date:   Fri Jun 19 16:20:06 2020 +0000

    for some silly reason, we end up with a 0-byte-sized actual resolv.conf 
file in /etc, which keeps resolvconf from working
---
 config/includes.chroot/etc/network/if-up.d/0000-fix-resolvconf | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/config/includes.chroot/etc/network/if-up.d/0000-fix-resolvconf 
b/config/includes.chroot/etc/network/if-up.d/0000-fix-resolvconf
new file mode 100644
index 0000000..b069d79
--- /dev/null
+++ b/config/includes.chroot/etc/network/if-up.d/0000-fix-resolvconf
@@ -0,0 +1,5 @@
+#!/bin/bash
+# for some silly reason, we end up with a 0-byte-sized actual resolv.conf file 
in /etc, which keeps resolvconf from working
+if ! [ -s /etc/resolv.conf ]; then
+       ln -sf /etc/resolvconf/run/resolv.conf /etc/resolv.conf
+fi

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on 
/srv/git/code.x2go.org/live-build-x2go.git
_______________________________________________
x2go-commits mailing list
[email protected]
https://lists.x2go.org/listinfo/x2go-commits

Reply via email to